以前用的AndroidStudio2.2程序能正常运行升级到3.4后提示无法识别JAVA文件怎么弄

图片说明
以前用的AndroidStudio2.2程序能正常运行升级到3.4后提示无法识别JAVA文件怎么弄

报错信息就这一个:
Project Sync
The project 'zgcs' is not a Gradle-based project

3个回答

下边build一栏应该有报错吧,报错截图发来

hadkfhkdh
秋风落叶黄 报错信息就刚打开项目的时候报一个这: Project Sync The project 'zgcs' is not a Gradle-based project 之后什么报错信息都没有了
一年多之前 回复

build窗口应该有显示错误日志,打开app下的build.gradle将 compile 替换成implementation或api(都可以),将androidTestCompile替换成androidTestImplementation,将testCompile替换成testImplementation。全部替换完成点击右上角Try Again即可。具体可看build错误信息来改

xxfen_
萧萧风 回复秋风落叶黄: 新建一个项目,打开gradle-wrapper.properties文件与你现在的项目对比一下“distributionUrl= ”这一行,如果不一样把这一行复制到你现在的项目中
一年多之前 回复
xxfen_
萧萧风 回复秋风落叶黄: zgcs这个不是用Gradle构建依赖的?
一年多之前 回复
hadkfhkdh
秋风落叶黄 报错信息就刚打开项目的时候报一个这: Project Sync The project 'zgcs' is not a Gradle-based project 之后什么报错信息都没有了
一年多之前 回复

Project Sync The project 'zgcs' is not a Gradle-based project 从你这句来看 应该是你现在的zgcs这个不能基于AS 3.4的Gradle版本没从而引发的问题

MacaoPark
Xia_燚 回复秋风落叶黄: 老项目的话 够呛,你要是从0到1的话 没啥问题
一年多之前 回复
hadkfhkdh
秋风落叶黄 不能用3.4编译吗
一年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐